--------------------------------------------------------
--  File created - Wednesday-December-13-2023   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Table TMP_G1D4CALC
--------------------------------------------------------

  CREATE GLOBAL TEMPORARY TABLE "DROUGHT"."TMP_G1D4CALC" 
   (	"G1D_ID" NUMBER(10,0), 
	"MOMENT" VARCHAR2(8 BYTE), 
	"NDX" VARCHAR2(10 BYTE), 
	"YEAR" NUMBER(4,0), 
	"DAY_NR" NUMBER(3,0), 
	"SUNSHINE_HOURS" NUMBER(3,1), 
	"EXP_VULN_CLASS" NUMBER(5,2), 
	"SPI01" NUMBER(5,2), 
	"SPI03" NUMBER(5,2), 
	"SPI12" NUMBER(5,2), 
	"SPI03_PREV" NUMBER(5,2), 
	"SPI01_PREV" NUMBER(5,2), 
	"FAPAR_ANOM" NUMBER(5,2), 
	"FAPAR_ANOM_PREV" NUMBER(5,2), 
	"SM_ANOM" NUMBER(5,2), 
	"SM_ANOM_PREV" NUMBER(5,2), 
	"HAZARD_PREV" NUMBER(2,0), 
	"HAZARD" NUMBER(2,0), 
	"RISK" NUMBER(1,0)
   ) ON COMMIT PRESERVE ROWS ;
--------------------------------------------------------
--  DDL for Index TMP_G1D4CALC_YDAY
--------------------------------------------------------

  CREATE INDEX "DROUGHT"."TMP_G1D4CALC_YDAY" ON "DROUGHT"."TMP_G1D4CALC" ("YEAR", "DAY_NR") ;
--------------------------------------------------------
--  DDL for Index TMP_G1D4CALC_IDMX
--------------------------------------------------------

  CREATE INDEX "DROUGHT"."TMP_G1D4CALC_IDMX" ON "DROUGHT"."TMP_G1D4CALC" ("NDX", "MOMENT", "G1D_ID") ;
